# Interface for submodule: Boolean
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Boolean
from ._proxies import BooleanProxy as _BooleanProxy
class _BooleanTemplate(_itkTemplate):
    """Interface for instantiating itk::Boolean"""

    def __new__(cls, *args: Any) -> _BooleanProxy:
        """Instantiate itk::Boolean"""
        ...

    def __call__(self, *args: Any) -> _BooleanProxy:
        """Instantiate itk::Boolean"""
        ...

Boolean = _BooleanTemplate

